NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAM::PathContactMotion Class Reference

This class represents the data of a Linear Motion
Created in NX11.0.2. More...

Inheritance diagram for NXOpen::CAM::PathContactMotion:
NXOpen::TransientObject

Public Member Functions

NXOpen::Vector3d ArcAxis ()
 Returns the axis of the arc of the contact motion if the shape is circular
Created in NX11.0.2. More...
 
NXOpen::Point3d ArcCenter ()
 Returns the center of the arc of the contact motion if the shape is circular
Created in NX11.0.2. More...
 
NXOpen::CAM::CamPathDir ArcDirection ()
 Returns the direction of the arc of the contact motion if the shape is circular
Created in NX11.0.2. More...
 
double ArcRadius ()
 Returns the radius of the arc of the contact motion if the shape is circular
Created in NX11.0.2. More...
 
NXOpen::CAM::CamPathContactMotionShapeType MotionShape ()
 Returns the motion shape
Created in NX11.0.2. More...
 
NXOpen::Point3d Point ()
 Returns the point of the contact motion
Created in NX11.0.2. More...
 
void SetArcAxis (const NXOpen::Vector3d &arcAxis)
 Sets the axis of the arc of the contact motion if the shape is circular
Created in NX11.0.2. More...
 
void SetArcCenter (const NXOpen::Point3d &arcCenter)
 Sets the center of the arc of the contact motion if the shape is circular
Created in NX11.0.2. More...
 
void SetArcDirection (NXOpen::CAM::CamPathDir arcDirection)
 Sets the direction of the arc of the contact motion if the shape is circular
Created in NX11.0.2. More...
 
void SetArcRadius (double arcRadius)
 Sets the radius of the arc of the contact motion if the shape is circular
Created in NX11.0.2. More...
 
void SetMotionShape (NXOpen::CAM::CamPathContactMotionShapeType motionShape)
 Sets the motion shape
Created in NX11.0.2. More...
 
void SetPoint (const NXOpen::Point3d &endPoint)
 Sets the point of the contact motion
Created in NX11.0.2. More...
 
virtual ~PathContactMotion ()
 Free resources associated with the instance. More...
 
- Public Member Functions inherited from NXOpen::TransientObject
void * GetHandle ()
 Handle of the internal object represented by this object. More...
 

Detailed Description

This class represents the data of a Linear Motion
Created in NX11.0.2.


Constructor & Destructor Documentation

virtual NXOpen::CAM::PathContactMotion::~PathContactMotion ( )
virtual

Free resources associated with the instance.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.
Created in NX11.0.2.

License requirements : None

Member Function Documentation

NXOpen::Vector3d NXOpen::CAM::PathContactMotion::ArcAxis ( )

Returns the axis of the arc of the contact motion if the shape is circular
Created in NX11.0.2.



License requirements : None

NXOpen::Point3d NXOpen::CAM::PathContactMotion::ArcCenter ( )

Returns the center of the arc of the contact motion if the shape is circular
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::CamPathDir NXOpen::CAM::PathContactMotion::ArcDirection ( )

Returns the direction of the arc of the contact motion if the shape is circular
Created in NX11.0.2.



License requirements : None

double NXOpen::CAM::PathContactMotion::ArcRadius ( )

Returns the radius of the arc of the contact motion if the shape is circular
Created in NX11.0.2.



License requirements : None

NXOpen::CAM::CamPathContactMotionShapeType NXOpen::CAM::PathContactMotion::MotionShape ( )

Returns the motion shape
Created in NX11.0.2.



License requirements : None

NXOpen::Point3d NXOpen::CAM::PathContactMotion::Point ( )

Returns the point of the contact motion
Created in NX11.0.2.



License requirements : None

void NXOpen::CAM::PathContactMotion::SetArcAxis ( const NXOpen::Vector3d arcAxis)

Sets the axis of the arc of the contact motion if the shape is circular
Created in NX11.0.2.



License requirements : cam_base ("CAM BASE")

Parameters
arcAxisarcaxis
void NXOpen::CAM::PathContactMotion::SetArcCenter ( const NXOpen::Point3d arcCenter)

Sets the center of the arc of the contact motion if the shape is circular
Created in NX11.0.2.



License requirements : cam_base ("CAM BASE")

Parameters
arcCenterarccenter
void NXOpen::CAM::PathContactMotion::SetArcDirection ( NXOpen::CAM::CamPathDir  arcDirection)

Sets the direction of the arc of the contact motion if the shape is circular
Created in NX11.0.2.



License requirements : cam_base ("CAM BASE")

Parameters
arcDirectionarcdirection
void NXOpen::CAM::PathContactMotion::SetArcRadius ( double  arcRadius)

Sets the radius of the arc of the contact motion if the shape is circular
Created in NX11.0.2.



License requirements : cam_base ("CAM BASE")

Parameters
arcRadiusarcradius
void NXOpen::CAM::PathContactMotion::SetMotionShape ( NXOpen::CAM::CamPathContactMotionShapeType  motionShape)

Sets the motion shape
Created in NX11.0.2.



License requirements : cam_base ("CAM BASE")

Parameters
motionShapemotionshape
void NXOpen::CAM::PathContactMotion::SetPoint ( const NXOpen::Point3d endPoint)

Sets the point of the contact motion
Created in NX11.0.2.



License requirements : cam_base ("CAM BASE")

Parameters
endPointendpoint

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.